> For the complete documentation index, see [llms.txt](https://docs.ingestlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ingestlabs.com/implementation/react-native-sdk/configuration.md).

# Configuration

In the react native app, initialization component, import the following library on top of the page

Copy

```
import {MagicPixel} from '@magicpixel/rn-mp-client-sdk';
```

In the constructor of the entry component, configure the MagicPixel sdk as below

### [Direct link to heading](#for-staging-non-production) For Staging/Non-Production

Copy

```
try {
    MagicPixel.init({
        orgId: '<ENTER VENDOR ID SHARED BY MAGIC PIXEL>',
        projectId: '<ENTER PROJECT ID SHARED BY MAGIC PIXEL>',
        env: 'production',
        baseUrl: 'https://sdk-mt.magicpixel.io',
        device_type: '<mobile | tablet>',
        logLevel: '<none | debug | warn | error>' // optional field
    }).then(() => {
        MagicPixel.ready();
    }).catch(err => {
        console.log(err);
        // report to firebase analytics or print to console here for tracking
    });

} catch (err) {
 // report to firebase analytics or print to console here for tracking
}
```

### [Direct link to heading](#for-production) For Production

Copy

```
try {
    MagicPixel.init({
        orgId: '<ENTER VENDOR ID SHARED BY MAGIC PIXEL>',
        projectId: '<ENTER PROJECT ID SHARED BY MAGIC PIXEL>',
        env: 'production',
        baseUrl: 'https://sdk-mt.magicpixel.io',
        device_type: '<mobile | tablet>',
        logLevel: '<none | debug | warn | error>' // optional field
    }).then(() => {
        MagicPixel.ready();
    }).catch(err => {
        console.log(err);
        // report to firebase analytics or print to console here for tracking
    });
} catch (err) {
 // report to firebase analytics or print to console here for tracking
}
```

[PreviousInstallation](/implementation/react-native-sdk/installation.md) [NextDisplay Debug Id](/implementation/react-native-sdk/display-debug-id.md)

Last updated 1 year ago


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ingestlabs.com/implementation/react-native-sdk/configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
